package com.cygnusa.hyperm.wrappers;

import java.util.ArrayList;

public class AssessmentList {

    private String assessmentid;
    private String atype;

    private String trainingid;
    private String cateid;
    private String assessmentname;
    private String description;
    private String assessmentimage;
    private String assessmenttype;

    private String assettypeid;
    private String assessmenttime;
    private String randomcond;
    private String assessmentnotification;
    private String status;
    private String creatorid;
    private String created_on;
    private String modified_on;
    private String attemptslimit;
    private String publisheddate;
    private String enddate;
    private String assessmenttype_str;
    private String is_expired;
    private String statusname;
    private ArrayList<TrainingSupplier> supplier = new ArrayList<>();
    private int attempt_time;
    private String is_attended;
    private String highscore;
    private String assessmentimage_url;



    public String getCompleted_time() {
        return completed_time;
    }

    public void setCompleted_time(String completed_time) {
        this.completed_time = completed_time;
    }

    private String result_id;
    private String assessmenttimetype;
    private String completed_time;

    public String getAtype() {
        return atype;
    }

    public void setAtype(String atype) {
        this.atype = atype;
    }

    public String getAssessmentid() {
        return assessmentid;
    }

    public void setAssessmentid(String assessmentid) {
        this.assessmentid = assessmentid;
    }

    public String getTrainingid() {
        return trainingid;
    }

    public void setTrainingid(String trainingid) {
        this.trainingid = trainingid;
    }

    public String getCateid() {
        return cateid;
    }

    public void setCateid(String cateid) {
        this.cateid = cateid;
    }

    public String getAssessmentname() {
        return assessmentname;
    }

    public void setAssessmentname(String assessmentname) {
        this.assessmentname = assessmentname;
    }

    public String getAssessmenttype() {
        return assessmenttype;
    }

    public void setAssessmenttype(String assessmenttype) {
        this.assessmenttype = assessmenttype;
    }

    public String getAssettypeid() {
        return assettypeid;
    }

    public void setAssettypeid(String assettypeid) {
        this.assettypeid = assettypeid;
    }

    public String getAssessmenttime() {
        return assessmenttime;
    }

    public void setAssessmenttime(String assessmenttime) {
        this.assessmenttime = assessmenttime;
    }

    public String getRandomcond() {
        return randomcond;
    }

    public void setRandomcond(String randomcond) {
        this.randomcond = randomcond;
    }

    public String getAssessmentnotification() {
        return assessmentnotification;
    }

    public void setAssessmentnotification(String assessmentnotification) {
        this.assessmentnotification = assessmentnotification;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreatorid() {
        return creatorid;
    }

    public void setCreatorid(String creatorid) {
        this.creatorid = creatorid;
    }

    public String getCreated_on() {
        return created_on;
    }

    public void setCreated_on(String created_on) {
        this.created_on = created_on;
    }

    public String getModified_on() {
        return modified_on;
    }

    public void setModified_on(String modified_on) {
        this.modified_on = modified_on;
    }

    public String getAttemptslimit() {
        return attemptslimit;
    }

    public void setAttemptslimit(String attemptslimit) {
        this.attemptslimit = attemptslimit;
    }

    public String getPublisheddate() {
        return publisheddate;
    }

    public void setPublisheddate(String publisheddate) {
        this.publisheddate = publisheddate;
    }

    public String getEnddate() {
        return enddate;
    }

    public void setEnddate(String enddate) {
        this.enddate = enddate;
    }

    public String getAssessmenttype_str() {
        return assessmenttype_str;
    }

    public void setAssessmenttype_str(String assessmenttype_str) {
        this.assessmenttype_str = assessmenttype_str;
    }

    public String getIs_expired() {
        return is_expired;
    }

    public void setIs_expired(String is_expired) {
        this.is_expired = is_expired;
    }

    public String getStatusname() {
        return statusname;
    }

    public void setStatusname(String statusname) {
        this.statusname = statusname;
    }

    public ArrayList<TrainingSupplier> getSupplier() {
        return supplier;
    }

    public void setSupplier(ArrayList<TrainingSupplier> supplier) {
        this.supplier = supplier;
    }

    public int getAttempt_time() {
        return attempt_time;
    }

    public void setAttempt_time(int attempt_time) {
        this.attempt_time = attempt_time;
    }

    public String getIs_attended() {
        return is_attended;
    }

    public void setIs_attended(String is_attended) {
        this.is_attended = is_attended;
    }

    public String getHighscore() {
        return highscore == null || highscore.trim().isEmpty() ? "0" : highscore;
    }

    public void setHighscore(String highscore) {
        this.highscore = highscore;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getAssessmentimage() {
        return assessmentimage;
    }

    public void setAssessmentimage(String assessmentimage) {
        this.assessmentimage = assessmentimage;
    }

    public String getAssessmentimage_url() {
        return assessmentimage_url;
    }

    public void setAssessmentimage_url(String assessmentimage_url) {
        this.assessmentimage_url = assessmentimage_url;
    }

    public String getResult_id() {
        return result_id;
    }

    public void setResult_id(String result_id) {
        this.result_id = result_id;
    }

    public String getAssessmenttimetype() {
        return assessmenttimetype == null || assessmenttimetype.trim().isEmpty() ? "1" : assessmenttimetype;
    }

    public void setAssessmenttimetype(String assessmenttimetype) {
        this.assessmenttimetype = assessmenttimetype;
    }
}
